<?php
!function_exists('adminmsg') && exit('Forbidden');
require R_P.'require/forum.php';
require_once GetLang('all');

if($a_type=='adminlog'){
	$basename="admin.php?adminjob=record&a_type=adminlog";
	$bbsrecordfile=R_P."data/bbscache/admin_record.php";
}elseif($a_type=='forumlog'){
	$basename="admin.php?adminjob=record&a_type=forumlog";
	$bbsrecordfile=R_P."data/bbscache/log_forum.php";
}elseif($a_type=='creditlog'){
	$basename="admin.php?adminjob=record&a_type=creditlog";
	$bbsrecordfile=R_P."data/bbscache/credit_log.php";
}
if(file_exists($bbsrecordfile)){
	$bbslogfiledata=readlog($bbsrecordfile);
} else{
	$bbslogfiledata=array();
}
$bbslogfiledata=array_reverse($bbslogfiledata);
$count=count($bbslogfiledata);
if($del=='Y'){
	PostCheck($verify);
	if($count>100){
		$output=array_slice($bbslogfiledata,0,100);
		$output=array_reverse($output);
		$output=implode("",$output);
		writeover($bbsrecordfile,$output);
		adminmsg('log_del');
	}else{
		adminmsg('log_min');
	}
}
$db_perpage=50;
if (!$page) $page=1;
if ($count%$db_perpage==0){
	$numofpage=floor($count/$db_perpage);
}else{
	$numofpage=floor($count/$db_perpage)+1;
}
if ($page>$numofpage){
	$page=$numofpage;
}
$pagemin=min(($page-1)*$db_perpage , $count-1);  
$pagemax=min($pagemin+$db_perpage-1, $count-1);
if($a_type=='adminlog'){
	if($action=='search'){
		if(!$adminname){
			adminmsg('noenough_condition');
		}
		foreach($bbslogfiledata as $value){
			$detail=explode("|",$value);
			if($detail[1]==$adminname){
				$winddate=get_date($detail[5]);
				$detail[2] && $admin_name!=$manager && $detail[2]=substr_replace($detail[2],'***',1,-1);
				$adlogfor.="<tr class=b align='center'><td>$detail[1]</td><td>$detail[2]</td><td colspan=4 class='smalltxt'>$detail[3]</td><td>$detail[4]</td><td class='smalltxt'>$winddate</td></tr>";
			}
		}
	} else{
		$fenye=numofpage($count,$page,$numofpage,"admin.php?adminjob=record&a_type=adminlog&");
		for($i=$pagemin; $i<=$pagemax; $i++){
			$detail=explode("|",$bbslogfiledata[$i]);
			$winddate=get_date($detail[5]);
			$detail[2] && $admin_name!=$manager && $detail[2]=substr_replace($detail[2],'***',1,-1);
			$adlogfor.="<tr class=b align='center'><td>$detail[1]</td><td>$detail[2]</td><td colspan=4 class='smalltxt'>$detail[3]</td><td>$detail[4]</td><td class='smalltxt'>$winddate</td></tr>";
		}
	}
	include PrintEot('record');exit;
}elseif($a_type=='forumlog'){
	include R_P.'data/bbscache/forum_cache.php';
	
	if($action=='search'){
		if(!$adminname && !$username){
			adminmsg('noenough_condition');
		}
		foreach($bbslogfiledata as $value){
			$detail=explode("|",$value);
			if($username && $detail[5]!=$username){
				continue;
			}
			if($adminname && $detail[10]!=$adminname){
				continue;
			}
			$winddate=get_date($detail[9]);
			$where_log=$forum[$detail[2]]['name'];
			$adlogfor.="<tr class=b align='center'><td>$detail[10]</td><td>$detail[5]</td><td><a href=thread.php?fid=$detail[2]>$where_log</a></td><td class='smalltxt'  colspan=3><font color=green>$detail[1]</font>  <font color=green>$lang[reason]</font>$detail[6] <font color=green>$lang[operate]</font>$lang[record_rvrc] $detail[7] $lang[record_money] $detail[8]</td><td>$detail[11]</td><td>$winddate</td></tr>";
		}
	} else{	
		$fenye=numofpage($count,$page,$numofpage,"admin.php?adminjob=record&a_type=forumlog&");
		if($bbslogfiledata){
			for($i=$pagemin; $i<=$pagemax; $i++){
				$detail=explode("|",$bbslogfiledata[$i]);
				$winddate=get_date($detail[9]);
				$where_log=$forum[$detail[2]]['name'];
				$adlogfor.="<tr class=b align='center'><td>$detail[10]</td><td>$detail[5]</td><td><a href=thread.php?fid=$detail[2]>$where_log</a></td><td class='smalltxt'  colspan=3><font color=green>$detail[1]</font>  <font color=green>$lang[reason]</font>$detail[6] <font color=green>$lang[operate]</font>$lang[record_rvrc] $detail[7] $lang[record_money] $detail[8]</td><td>$detail[11]</td><td class='smalltxt'>$winddate</td></tr>";
			}
		} else{
			$adlogfor='';
		}
	}
	include PrintEot('record');exit;
}elseif($a_type=='creditlog'){
	require_once GetLang('all');
	$creditdb=array(); $credits=array('rvrc'=>$lang['record_rvrc'],'money'=>$lang['record_money'],'credit'=>$lang['record_credit']);
	include(R_P."data/bbscache/creditdb.php");
	foreach($_CREDITDB as $key=>$value){
		$credits[$key]=$value[0];
	}
	unset($credit);
	
	if($action=='search'){
		if(!$adminname && !$username){
			adminmsg('noenough_condition');
		}
		foreach($bbslogfiledata as $value){
			$credit=explode("|",$value);
			if($username && $credit[5]!=$username){
				continue;
			}
			if($adminname && $credit[3]!=$adminname){
				continue;
			}
			$credit['time']=get_date($credit[7]);
			$credit['name']=$credits[$credit[2]];
			$creditdb[]=$credit;		
		}
	} else{
		$fenye=numofpage($count,$page,$numofpage,"admin.php?adminjob=record&a_type=creditlog&");
		for($i=$pagemin; $i<=$pagemax; $i++){
			if($bbslogfiledata[$i]){
				$credit=explode("|",$bbslogfiledata[$i]);
				$credit['time']=get_date($credit[7]);
				$credit['name']=$credits[$credit[2]];
				$creditdb[]=$credit;
			}
		}
	}
	include PrintEot('record');exit;
}
?>